#
# spec file for package python3-virtualenv-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-virtualenv-doc
Version:        13.1.2
Release:        2.20
Url:            http://www.virtualenv.org/
Summary:        Documentation for python3-virtualenv
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
# Documentation requirements
BuildRequires:  python3-Sphinx
Requires:       python3-pip
Requires:       python3-setuptools
BuildArch:      noarch

%description
This package contains the documentation and 
help files for python3-virtualenv.

%prep
%setup -q -n virtualenv-%{version}

%build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
mkdir -p %{buildroot}%{_docdir}/python3-virtualenv
cp -r build/sphinx/html %{buildroot}%{_docdir}/python3-virtualenv

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_docdir}/python3-virtualenv/

%changelog
* Sun Aug 23 2015 arun@gmx.de
- update to version 13.1.2:
  * Upgrade pip to 7.1.2.
- changes from version 13.1.1:
  * Upgrade pip to 7.1.1.
  * Upgrade setuptools to 18.2.
  * Make the activate script safe to use when bash is running with -u.
* Tue Jul 28 2015 toddrme2178@gmail.com
- Split documentation into a separate subpackage to avoid a
  dependency loop.
